<?php

date_default_timezone_set('America/Lima');

session_start();

require_once ("../../config/Cado.php");

require_once ("cCuentapagar.php");

$oCuentapagar = new cCuentapagar();

require_once ("../proveedor/cProveedor.php");

$oProveedor = new cProveedor();

require_once ("../egreso/cEgreso.php");

$oEgreso = new cEgreso();



require_once ("../formatos/formato.php");

require_once ("../formatos/fechas.php");



$dts3x = $oProveedor->mostrarUno($_POST['pro_id']);

$dt3x = mysqli_fetch_array($dts3x);

$proveedor = $dt3x['tb_proveedor_nom'];

$ruc_prov =  $dt3x['tb_proveedor_doc'];

mysqli_free_result($dts3x);





$contadorpro2 = 0;

$total_soles = 0;

$total_dolares = 0;





$dts2 = $oCuentapagar->cuentas_por_pagar_por_proveedor($_POST['pro_id'],$_POST['emp_id']);

$num_rows2= mysqli_num_rows($dts2);



?>





<div  class="col-lg-12 col-sm-12 col-xs-12" style="background-color:#fff;" >

	

	<div class="modal-header">

	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

	<h4 class="modal-title" id="titlemodal">Deudas del cliente</h4> 

	</div>

	

	<div class="table-responsive">		

							<div class="col-lg-12 col-md-12 col-xs-12 " >

		

		<div id="div_tabla_proveedores" class="box-body" style="display: block;">

			<table id="tabla_resumen_proveedor" class="table table-bordered table-striped">

				<thead>

				<tr>

				<th colspan="8">

				<div class="user-block">

				<img class="img-circle" src="../../imagenes/users/user1.jpg" alt="User Image" title="">

				<span class="username"><a href="#"><?php echo "PROVEEDOR: ".$proveedor;?></a></span>

				<span class="description">RUC - DNI : <?php echo $ruc_prov; ?></span>

				</div>

				</th>

				</tr>

					<tr>

						<th align="left">DETALLE DE LA COMPRA</th>				

						<th align="center">FECHA COMPRA</th>

						<th align="center">FECHA VENCIMIENTO</th>

						<th align="left">ESTADO</th>

						<th align="right">MONTO</th>

						<th align="right">ABONOS</th>

						<th align="right">SALDO</th>

						<th width="10%" class="header">&nbsp;</th>

					</tr>

				</thead>

				<tbody>	

					<?php	

					if($num_rows2>0){

					while($dt2 = mysqli_fetch_array($dts2))

					{



						$monto = $dt2['tb_comprapago_mon'];						

						$abonos = 0;

						$mone_id = $dt2['tb_moneda_id'];	

						$mod_id=4;

						$est=1;

						$dts3 = $oEgreso->mostrar_por_modulo($mod_id,$dt2['tb_comprapago_id'],$est);

						$num_rows3= mysqli_num_rows($dts3);

						while($dt3 = mysqli_fetch_array($dts3))

						{

							$abonos+= $dt3['tb_egreso_imp'];

						} 

						mysqli_free_result($dts3);



						$saldo = ($monto - $abonos);

						if($mone_id==1){

						$lbl_mone = 'S/. ';

						$total_soles = $total_soles + $saldo;

						}else if($mone_id==2){

						$lbl_mone = 'US$. ';

						$total_dolares = $total_dolares + $saldo;

						}

						?>

						<tr class="even">

							<td align="left"><?php echo $dt2['tb_documento_nom'].' - '.$dt2['tb_compra_numdoc']?></td>

							<td align="center"><?php echo fecha_entexto($dt2['tb_compra_fec']);?></td>

							<td align="center"><?php echo fecha_entexto($dt2['tb_comprapago_fecven']);?></td>



							<?php $fechaven = comparar_fechavencimiento($dt2['tb_comprapago_fecven']);?> 



							<td align="left"><span class="label label-<?php echo $fechaven[0]?>"><?php echo $fechaven[1]?></span> </td>



							<td align="right"><?php echo $lbl_mone.'<strong>'.formato_money($dt2['tb_comprapago_mon']).'</strong>'; ?></td>

							<td align="right"><?php echo $lbl_mone.'<strong>'.formato_money($abonos).'</strong>'; ?></td>

							<td align="right"><?php echo $lbl_mone.'<strong>'.formato_money($saldo).'</strong>'; ?></td>

							<td nowroap>

								<span onClick="egreso_form('insertar',<?php echo $dt2['tb_comprapago_id']?>)" 

								class="btn btn-primary btn-sm"  > <i class="fa fa-money"></i> PAGAR</span>

							</td>              

						</tr>

						<?php 

						$contadorpro2 ++;

					} 

					mysqli_free_result($dts2); 

					}else{

					?>

					<tr class="even" >

					<td colspan="8" align="center" >NO TIENE DEUDAS CON ESTE PROVEEDOR</td>

					</tr>

					<?php 

					}

					?>

				</tbody>

				<tr class="even">					

					<td align="left"><?php echo $contadorpro2.' registros'?></td>

					<td colspan="6" align="right" ><?php echo 'S/. <strong>'.formato_money($total_soles).'</strong> 

					<br />'.'US$ <strong>'.formato_money($total_dolares).'</strong>'; ?></td>	

					<td colspan="2"> </td>				

				</tr>

			</table>

		</div> 

		</div> 

		</div> 

		

		<div class="modal-footer pull-right">	 

	<button type="button" class="btn btn-default pull-left"  data-dismiss="modal">Cancelar</button>

	</div>

	

	

	</div>	 



	

	<script type="text/javascript">

	

	

function egreso_form(act,id_cp){	

	

	$('#div_egreso_form_dialog').modal('show'); 

	

	$.ajax({

		type: "POST",

		url: "../cuentapagar/egreso_cuentapagar.php",

		async:true,

		dataType: "html",                      

		data: ({

			action: act,

			compag_id : id_cp,

			vista: 'cuentapagar_inicio'

		}),

		beforeSend: function() {

				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	

				$('.div_egreso_form').html(div); 

		},

		success: function(html){

			$('.div_egreso_form').html(html);				

		},

		complete: function(html){



		}

	});

}



	

	

	</script>

	

	

	